Login | Packages | Support | Bugs 

Top Level :: Tools and Utilities :: filter

filter 0.10.0

This package is not maintained anymore and has been superseded. Package has moved to channel http://www.php.net/filter, package ext/filter.
Package Information
Summary Extension for safely dealing with input parameters. Note: This extension is now part of PHP Core, so use it instead of this outdated PECL version (as of PHP 5.2.0).
Maintainers Derick Rethans <derick@php.net> (lead) [wishlist] [details]
Rasmus Lerdorf <rasmus@php.net> (lead) [details]
Pierre Joye (lead) [wishlist] [details]
Ilia Alshanetsky <ilia@php.net> (lead) [details]
License PHP
Description The Input Filter extension is meant to address this issue by implementing a set
of filters and mechanisms that users can use to safely access their input data.
Release notes
Version 0.10.0
(beta)
- Fixed PECL bug #6136, ini_set should not be able to change the filter.default (Pierre)
- Fixed PECL bug #6639: uppercase hexadecimal digits are not supported
- Fixed PECL bug #7733, Float exponential weird result (Pierre)
- Fixed PECL bug #7715, Input_get float error (Pierre)
- Fixed PECL bug #8316, empty string with FILTER_VALIDATE_INT returns 0
- Fixed Possible leak in internal sapi_filter (Pierre)
- Fixed an issue with multiple calls using the same input type (Tony)
- Fixed leak in sapi filter (Tony, Ilia)
- Fixed magic_quotes_gpc from being applied when RAW filter is used (Ilia)
- Added support for custom decimal separator (Pierre)
- Added support for php pcre expressions (Pierre)
- Added input_get_args, fetches all input in one call (Pierre)
- Added FILTER_FLAG_SCALAR and FILTER_FLAG_ARRAY, allows or not array values (Pierre)
- Basic IPv6 (no option yet, only the syntax is verified) (Pierre)
- INT, Float and boolean filters trim the values before the validations (default trim()) (Pierre)
- input_get and input_get_args returns now FALSE when the validation failed
and NULL when the variable has not been found (Pierre)
- Added JIT support

[ Latest Tarball ] [ Changelog ] [ View Statistics ]
[ Browse Source[ Package Bugs ][ View Documentation ]
[ Report new bug ]

Dependencies for release 0.10.0
PHP Version: PHP 5.0.0 or newer
PEAR Package: PEAR 1.4.0b1 or newer
PRIVACY POLICY | CREDITS
Copyright © 2001-2014 The PHP Group
All rights reserved.
Last updated: Tue Oct 15 08:05:03 2013 UTC
Bandwidth and hardware provided by: pair Networks